/*
 * Copyright 2010, Jorma Karvonen, karvonen.jorma_at_gmail.com. All rights 
 * reserved. Distributed under the terms of the MIT License.
 */
 
#ifndef LOCALECATALOG_H
#define LOCALECATALOG_H

#include <Catalog.h>
#include <Locale.h>
#include <Locker.h>
#include <Message.h>

class LocaleCatalog
{
public:
	BCatalog 				fAppCatalog;

	virtual					~LocaleCatalog();
	virtual bool			QuitRequested();
	virtual void			MessageReceived(BMessage* message);
	static LocaleCatalog*	Instance();
	static void				QuitInstance();
	
private:
							LocaleCatalog();
	static LocaleCatalog*	s_instance;
	static BLocker			s_instanceLock;
};
	
#endif
